import { useState } from "react"
import Taro, { stopDeviceMotionListening } from '@tarojs/taro'
import { signIn } from '@/services/login'

export default () => {
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()

  const login = (params) => {
    signIn(params).then((res) => {
      const { person: taPerson,  sessionKey: skey,  token } = res;
      setPerson(taPerson);
      setSessionKey(skey);
      Taro.setStorage({ key: 'token', data: token })
    })
  }

  return {
    person,
    sessionKey,
    setPerson,
    login,
  }
}
